Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 144914 - [65cat] [php] Inconsistence behavior recognizing Javascript functions in PHP Webpages
[65cat] [php] Inconsistence behavior recognizing Javascript functions in PHP ...
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
6.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: Marek Fukala
Jindrich Sedek
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-23 10:11 UTC by nvarun
Modified: 2009-05-18 10:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
It shows a tooltip, and clicking the link, takes you to the desired script. (69.06 KB, image/jpeg)
2008-08-23 10:36 UTC, nvarun
Details
This is the case which shows inconsistency... (31.52 KB, image/jpeg)
2008-08-23 10:36 UTC, nvarun
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nvarun 2008-08-23 10:11:08 UTC
[ BUILD # : 6.5 Beta ]
[ JDK VERSION : 1.6.0_05 ]

Please refer this document-
http://nbguru.wordpress.com/proj-netbeans/php-editor-hyperlinks-review
/

Look for section "PHP Webpages..." It contains 2 usecases, which
would justify my point filing this bug report.

In short, "in HTML tags inside PHP webpages, the value of attribute
'onmouseover' is recognized as a javascript. However, its not in the
case, where user writes 'onMouseOver'".
Comment 1 nvarun 2008-08-23 10:36:00 UTC
Created attachment 68154 [details]
It shows a tooltip, and clicking the link, takes you to the desired script.
Comment 2 nvarun 2008-08-23 10:36:38 UTC
Created attachment 68155 [details]
This is the case which shows inconsistency...
Comment 3 Petr Pisl 2008-08-25 13:41:29 UTC
This is a bug in html editor => Reassigning to the right component. I think that the fix can be simple.
Comment 4 Marek Fukala 2008-08-25 14:26:11 UTC
fixed

changeset:   97849:d9b3c4ba4923
tag:         tip
user:        Marek Fukala <mfukala@netbeans.org>
date:        Mon Aug 25 15:22:33 2008 +0200
summary:     #144914 - [65cat] [php] Inconsistence behavior recognizing Javascript functions in PHP Webpages
Comment 5 Quality Engineering 2008-08-26 06:08:07 UTC
Integrated into 'main-golden', available in build *200808260201* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/d9b3c4ba4923
User: Marek Fukala <mfukala@netbeans.org>
Log: #144914 - [65cat] [php] Inconsistence behavior recognizing Javascript functions in PHP Webpages
Comment 6 nvarun 2008-08-27 11:17:15 UTC
Thanks :-)

Its working in 080826 build..


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo